Subject: RE: Servers & Administration
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 10 May 2001 16:28:00 -0700 (PDT)

As far as Houston standards, they made sense to me and they seemed to have more expertise in the matter.  

How bad did things get yesterday?

From:	Robert Anderson/ENRON@enronXgate on 05/10/2001 10:51 AM CDT
To:	Cooper Richey/CAL/ECT@ECT
cc:	Tim Heizenrader/ENRON@enronXgate 
Subject:	RE: Servers & Administration

Cooper -

I think that the three of us should talk about this... however, unless Tim H disagrees, we should probably wait until after he has completed the scheduled meeting(s) that he has with PDX & Houston IT regarding the current policy issues. These meeting(s) should happen today or tomorrow. In the mean time, I will review this document.

Clarification question: If we agree that, ideally, Houston is not going to handle administration of these servers, what is the basis of the decision to follow Houston standards? Is it that you agree with their conclusions or that you want to stay compliant? Just curious...

As you point out, these issues have been long-time coming -- and if what happened yesterday is the price that we have to pay to get things running as smoothly and reliably as possible, then I am glad that it happened. Relative to the good that can come from this, we got a bargain!

Take Care,
Bob

 -----Original Message-----
From: 	Richey, Cooper  
Sent:	Thursday, May 10, 2001 8:34 AM
To:	Anderson, Robert
Cc:	Heizenrader, Timothy
Subject:	Re: Servers & Administration

While our webserver up here hasn't been hammered yet, I've been concerned 
about similar issues (web hardware and administration) for awhile up here.  
Given that the web is our primary medium I agree with you and Tim that it's been 
neglected.  

Administration is an ongoing issue and I'm not sure what a good solution for this is,
but relying on Houston for this is not an option as far as I'm concerned (unless they
change their draconian policies).  At the moment Chris Wiebe is officially administrating
our web/file server, but I don't think this is where his interests lie, so I've been relying
on Colin for most day-to-day admin.  This isn't great since Colin is a contractor.  We should
definitely team up on this one as I don't think IIS administration is even a quarter-time job,
but it is vital.  I'm in a similar spot on SQL Server issues - Chris is the admin, but he's moving
more toward the development side of IT with each passing week.  

In terms of hardware, I've been in touch with Houston through Dan Dietrich and spoke
with a helpful individual who is responsible for web servers down there.  He sent me
the following documentation standard which I hope I forwarded onto you (as it's quite
good).  I'm pushing to move to the Houston standard for web servers which is two 
clustered pizza boxes (DL360s).    I just got the price quote for these and it would be 
about 9000 US$ for the two boxes (basically dual proc PIII 930, 512 MB RAM, 2 9GB drives)

You mentioned moving the dev environment from prod, but I'm not sure if you're interested
in splitting the web from the file server.  I think this is a good idea (more for file server reliability
than anything else.)  There's some time critical data up here that we can't recover if we 
miss it the first time, so I'm trying to make the backend as fault-tolerant as possible.  plus,
it seems like it's likely a cheap performance and fault tolerance boost for the web, as well.  

Sorry to hear about your web troubles yesterday, but hopefully it will serve as a catalyst
for us to clean things up.  

Should we set up a call to talk about this?  

Cooper

-------------------------------------------------
 << File: Web Operations Standards.doc >> 
Christopher Spann, MCSE
Sr Specialist, Web Operations
Enron Net Works
713.345.4986
------------------------------------------------

From:	Robert Anderson/ENRON@enronXgate on 05/10/2001 09:35 AM CDT
To:	Cooper Richey/CAL/ECT@ECT
cc:	Tim Heizenrader/ENRON@enronXgate 
Subject:	Servers & Administration

Cooper -

You may or may not be aware that our production web server got hit pretty hard yesterday. It has yet to be "officially" determined what happened, so I won't give you my opinion... however, many issues that have been festering for some time were brought into the spot light through this ordeal.

At this point, Tim H. and I have agreed on two immediate actions that will be taken.
	1) Our development server needs to be moved to a separate physical box. This will serve as the back-up and fail-over server as well.
	2) Paul Kane and I will pursue IIS administration and security training/certification.

It is our firm intention that any and all administration on either of these boxes will be done by us -- not Houston. Although, this argument has yet to take place.

In light of the working relationship between PDX and Calgary (that we only anticipate growing stronger through this), I would like to hear what conclusions you have come to with the research that you have done regarding hardware and software -- as well as any suggestions that you may have that we should consider. We want to make sure that, with whatever avenue is taken,  we maintain a position of compatibility to share resources and technology with Calgary Fundies...

Thanks!
Bob